<?php
// Menus
// Hook to load menu function
add_action('admin_menu', 'ssbg_menu_load');

function ssbg_menu_load() {
  add_theme_page("Simple Slideshow Background", "Simple Slideshow Background", 'manage_options', 'simple-slideshow-background', ssbg_menu_appearance);
}

function ssbg_menu_appearance() {
  // WordPress globals
  global $ssbg_option;
  
  $action = 'default'; 
  
  if (!empty($_REQUEST['action'])) 
    $action = $_REQUEST['action'];

  
  switch ($action){
    case 'save_picture':
      $id = $_REQUEST['id'];
      $images = get_option($ssbg_option, array());
      $images[$id]['picture'] = $_REQUEST['picture'.$id];
      update_option($ssbg_option, array_values($images));
      print $_REQUEST['picture'];
      ssbg_form_list_images();
      break;
    case 'delete':
      $id = $_REQUEST['id'];
      $images = get_option($ssbg_option, array());
      unset($images[$id]);
      update_option($ssbg_option, array_values($images));
      ssbg_form_list_images();
      break;
    case 'add_ssb':
      $images = get_option($ssbg_option, array());
      $images[] = array("picture" => '');
      update_option($ssbg_option, array_values($images));
      ssbg_form_list_images();
      break;
    default:
      ssbg_form_list_images();
  }
  
}

    
